require 'test_helper'

class CStavVstupenieksControllerTest < ActionController::TestCase
  setup do
    @c_stav_vstupeniek = c_stav_vstupenieks(:one)
  end

  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:c_stav_vstupenieks)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create c_stav_vstupeniek" do
    assert_difference('CStavVstupeniek.count') do
      post :create, c_stav_vstupeniek: @c_stav_vstupeniek.attributes
    end

    assert_redirected_to c_stav_vstupeniek_path(assigns(:c_stav_vstupeniek))
  end

  test "should show c_stav_vstupeniek" do
    get :show, id: @c_stav_vstupeniek
    assert_response :success
  end

  test "should get edit" do
    get :edit, id: @c_stav_vstupeniek
    assert_response :success
  end

  test "should update c_stav_vstupeniek" do
    put :update, id: @c_stav_vstupeniek, c_stav_vstupeniek: @c_stav_vstupeniek.attributes
    assert_redirected_to c_stav_vstupeniek_path(assigns(:c_stav_vstupeniek))
  end

  test "should destroy c_stav_vstupeniek" do
    assert_difference('CStavVstupeniek.count', -1) do
      delete :destroy, id: @c_stav_vstupeniek
    end

    assert_redirected_to c_stav_vstupenieks_path
  end
end
